package vo

type SynchronizeConfiguration struct {
	CollectAt      string  `json:"collectAt"`      // 采集时间，格式：HH:mm
	EntID          string  `json:"entId"`          // 企业ID
	Imrs           string  `json:"imrs"`           // 采集系统型号
	ImrsAccount    string  `json:"imrsAccount"`    // 同步登录账号
	ImrsKey        string  `json:"imrsKey"`        // 同步登录私钥，Base64或者私钥文件内容
	ImrsSecret     string  `json:"imrsSecret"`     // 同步登录密钥，加盐双向加密
	Interval       float64 `json:"interval"`       // 采集周期，0：每小时，1：每日，2：每周，3：每月
	MaxRetries     string  `json:"maxRetries"`     // 最大重试次数
	ParkID         string  `json:"parkId"`         // 园区ID
	ReadingType    float64 `json:"readingType"`    // 采集方式，0：自动+人工，1：自动，2：人工
	RetryAlgorithm float64 `json:"retryAlgorithm"` // 重试间隔算法，0：指数退避，1：2倍线性间隔，2：3倍线性间隔，3：固定间隔
	RetryInterval  string  `json:"retryInterval"`  // 重试间隔，基础间隔时间，根据间隔算法不同会产生不同的间隔
}
type SynchronizeConfigurationCreateForm struct {
	CollectAt      string  `json:"collectAt"`      // 采集时间，格式：HH:mm
	Imrs           string  `json:"imrs"`           // 采集系统型号，为空的时候表示不同步
	ImrsAccount    string  `json:"imrsAccount"`    // 同步登录账号
	ImrsKey        string  `json:"imrsKey"`        // 同步登录私钥，Base64或者私钥文件内容
	ImrsSecret     string  `json:"imrsSecret"`     // 同步登录密钥，加盐双向加密
	Interval       float64 `json:"interval"`       // 采集周期，0：每小时，1：每日，2：每周，3：每月
	MaxRetries     string  `json:"maxRetries"`     // 最大重试次数
	ParkID         string  `json:"parkId"`         // 园区ID
	ReadingType    float64 `json:"readingType"`    // 采集方式，0：自动+人工，1：自动，2：人工
	RetryAlgorithm float64 `json:"retryAlgorithm"` // 重试间隔算法，0：指数退避，1：2倍线性间隔，2：3倍线性间隔，3：固定间隔
	RetryInterval  string  `json:"retryInterval"`  // 重试间隔，基础间隔时间，根据间隔算法不同会产生不同的间隔
}
